package org.dive4elements.river.artifacts;

import java.util.ArrayList;
import java.util.List;

import org.apache.log4j.Logger;

import org.dive4elements.artifacts.Artifact;
import org.dive4elements.artifacts.CallMeta;

import org.dive4elements.artifactdatabase.state.Facet;

import org.dive4elements.river.artifacts.states.DefaultState;


public class WMSBackgroundArtifact extends StaticFLYSArtifact {

    public static final String NAME = "wmsbackground";

    private static final Logger logger =
        Logger.getLogger(WMSBackgroundArtifact.class);


    @Override
    public String getName() {
        return NAME;
    }


    @Override
    protected void initialize(Artifact artifact, Object context, CallMeta meta) {
        logger.debug("Initialize internal state with: "+ artifact.identifier());

        FLYSArtifact flys = (FLYSArtifact) artifact;
        addData("river", flys.getData("river"));

        List<Facet> fs = new ArrayList<Facet>();

        // TODO Add CallMeta
        DefaultState state = (DefaultState) getCurrentState(context);
        state.computeInit(this, hash(), context, meta, fs);

        if (!fs.isEmpty()) {
            addFacets(getCurrentStateId(), fs);
        }
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
